Index: linux-2.4.24-2/arch/um/config.in
--- linux-2.4.24-2/arch/um/config.in	7 Apr 2004 20:44:02 -0000	1.56
+++ linux-2.4.24-2/arch/um/config.in	17 May 2004 18:35:49 -0000
@@ -16,6 +21,16 @@
 endmenu
 
 mainmenu_option next_comment
+comment 'Loadable module support'
+bool 'Enable loadable module support' CONFIG_MODULES
+if [ "$CONFIG_MODULES" = "y" ]; then
+# MODVERSIONS does not yet work in this architecture
+#   bool '  Set version information on all module symbols' CONFIG_MODVERSIONS
+    bool '  Kernel module loader' CONFIG_KMOD
+fi
+endmenu
+
+mainmenu_option next_comment
 comment 'General Setup'
 
 bool 'Separate kernel address space support' CONFIG_MODE_SKAS
@@ -59,28 +74,17 @@
 bool 'Real-time Clock' CONFIG_UML_REAL_TIME_CLOCK
 endmenu
 
-mainmenu_option next_comment
-comment 'Loadable module support'
-bool 'Enable loadable module support' CONFIG_MODULES
-if [ "$CONFIG_MODULES" = "y" ]; then
-# MODVERSIONS does not yet work in this architecture
-#   bool '  Set version information on all module symbols' CONFIG_MODVERSIONS
-    bool '  Kernel module loader' CONFIG_KMOD
+if [ "$CONFIG_NET" = "y" ]; then
+   source net/Config.in
 fi
-endmenu
 
 source arch/um/config_char.in
 
 source arch/um/config_block.in
 
-define_bool CONFIG_NETDEVICES $CONFIG_NET
-
-if [ "$CONFIG_NET" = "y" ]; then
-   source arch/um/config_net.in
-   source net/Config.in
-fi
+source drivers/mtd/Config.in
 
-source fs/Config.in
+source drivers/md/Config.in
 
 mainmenu_option next_comment
 comment 'SCSI support'
@@ -92,11 +96,19 @@
 fi
 endmenu
 
-source drivers/md/Config.in
+if [ "$CONFIG_NET" = "y" ]; then
+   mainmenu_option next_comment
+   comment 'Network Devices'
 
-source drivers/mtd/Config.in
+   bool 'Network device support' CONFIG_NETDEVICES
+   if [ "$CONFIG_NETDEVICES" = "y" ]; then
+      source arch/um/config_net.in
+   fi
+   endmenu
+fi
+
+source fs/Config.in
 
-source lib/Config.in
 
 mainmenu_option next_comment
 comment 'Kernel hacking'
@@ -110,3 +122,6 @@
 dep_bool 'Enable gprof support' CONFIG_GPROF $CONFIG_DEBUGSYM
 dep_bool 'Enable gcov support' CONFIG_GCOV $CONFIG_DEBUGSYM
 endmenu
+
+source crypto/Config.in
+source lib/Config.in
Index: linux-2.4.24-2/arch/um/config_net.in
--- linux-2.4.24-2/arch/um/config_net.in	7 Apr 2004 20:42:33 -0000	1.4
+++ linux-2.4.24-2/arch/um/config_net.in	17 May 2004 18:35:49 -0000
@@ -1,6 +1,3 @@
-mainmenu_option next_comment
-comment 'Network Devices'
-
 # UML virtual driver
 bool 'Virtual network device' CONFIG_UML_NET
 
@@ -44,5 +45,3 @@
 dep_bool '  CSLIP compressed headers' CONFIG_SLIP_COMPRESSED $CONFIG_SLIP
 dep_bool '  Keepalive and linefill' CONFIG_SLIP_SMART $CONFIG_SLIP
 dep_bool '  Six bit SLIP encapsulation' CONFIG_SLIP_MODE_SLIP6 $CONFIG_SLIP
-
-endmenu
Index: linux-2.4.24-2/arch/um/drivers/Makefile
--- linux-2.4.24-2/arch/um/drivers/Makefile	16 Feb 2004 00:09:07 -0000	1.50
+++ linux-2.4.24-2/arch/um/drivers/Makefile	17 May 2004 18:35:49 -0000
@@ -27,6 +27,7 @@
 
 obj-y = 
 obj-$(CONFIG_SSL) += ssl.o 
+obj-$(CONFIG_STDIO_CONSOLE) += stdio_console.o
 obj-$(CONFIG_UML_NET_SLIP) += slip.o
 obj-$(CONFIG_UML_NET_SLIRP) += slirp.o
 obj-$(CONFIG_UML_NET_DAEMON) += daemon.o 
@@ -49,7 +54,7 @@
 
 CFLAGS_pcap_user.o = -I/usr/include/pcap
 
-obj-y += stdio_console.o $(CHAN_OBJS)
+obj-y += $(CHAN_OBJS)
 
 USER_SINGLE_OBJS = $(foreach f,$(patsubst %.o,%,$(obj-y) $(obj-m)),$($(f)-objs))
 
@@ -62,6 +71,7 @@
 	$(CC) $(CFLAGS_$@) $(USER_CFLAGS) -c -o $@ $<
 
 clean:
+	rm -f $(OBJS) $(export-objs)
 
 modules:
  
